curl --request GET \
--url https://api.jup.ag/tokens/v2/{category}/{interval} \
--header 'x-api-key: <api-key>'[
{
"id": "So11111111111111111111111111111111111111112",
"name": "Wrapped SOL",
"symbol": "SOL",
"decimals": 9,
"usdPrice": 171.34,
"stats24h": {
"priceChange": 2.5,
"volumeChange": 15000000,
"numBuys": 50000,
"numSells": 48000
}
}
]Category
Returns an array of mints and their information for the given category and interval
curl --request GET \
--url https://api.jup.ag/tokens/v2/{category}/{interval} \
--header 'x-api-key: <api-key>'[
{
"id": "So11111111111111111111111111111111111111112",
"name": "Wrapped SOL",
"symbol": "SOL",
"decimals": 9,
"usdPrice": 171.34,
"stats24h": {
"priceChange": 2.5,
"volumeChange": 15000000,
"numBuys": 50000,
"numSells": 48000
}
}
]Documentation Index
Fetch the complete documentation index at: https://dev.jup.ag/docs/llms.txt
Use this file to discover all available pages before exploring further.
Authorizations
Get API key via https://developers.jup.ag/portal
Path Parameters
- Top tokens in different trading categories
- The result filters out generic top tokens like SOL, USDC, etc
- Default to 50 mints in response
toporganicscore, toptraded, toptrending - Query by time interval for more accuracy
5m, 1h, 6h, 24h Query Parameters
- Maximum number of results to return (default 50, max 100)
1 <= x <= 100Response
Successful response
The token's mint address
URL to the token's logo image
The token program address (SPL Token or Token-2022)
Token creation timestamp
The token's developer wallet address
Mint authority address (present when mint authority is not disabled)
Freeze authority address (present when freeze authority is not disabled)
Fully diluted valuation in USD
Market cap in USD
Solana block number for the price data point
Total liquidity in USD
APY data, only present for assets listed on Jupiter Lend's Earn
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Audit information. All sub-fields are conditional and vary per token.
Show child attributes
Show child attributes
Organic trading activity score (0-100)
high, medium, low Last data update timestamp
Was this page helpful?
